org.eclipse.ui

## Interface IPerspectiveListener

All Known Subinterfaces:
  IPerspectiveListener2, IPerspectiveListener3, IPerspectiveListener4

All Known Implementing Classes:
  PerspectiveAdapter

    public interface IPerspectiveListener

Interface for listening to perspective lifecycle events.

This interface may be implemented by clients.

See Also:
  `IPageService.addPerspectiveListener(IPerspectiveListener)`, `PerspectiveAdapter`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)` Notifies this listener that a perspective in the given page has been activated.
`void` `perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)` Notifies this listener that a perspective has changed in some way (for example, editor area hidden, perspective reset, view show/hide, editor open/close, etc).

### Method Detail

#### perspectiveActivated

    void perspectiveActivated(IWorkbenchPage page,
                              IPerspectiveDescriptor perspective)

Notifies this listener that a perspective in the given page has been activated.

Parameters:
  `page` - the page containing the activated perspective
  `perspective` - the perspective descriptor that was activated
See Also:
  `IWorkbenchPage.setPerspective(org.eclipse.ui.IPerspectiveDescriptor)`

#### perspectiveChanged

    void perspectiveChanged(IWorkbenchPage page,
                            IPerspectiveDescriptor perspective,
                            String changeId)

Notifies this listener that a perspective has changed in some way (for example, editor area hidden, perspective reset, view show/hide, editor open/close, etc).

Parameters:
  `page` - the page containing the affected perspective
  `perspective` - the perspective descriptor
  `changeId` - one of the `CHANGE_*` constants on IWorkbenchPage